Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Helper\LimitationService Class Reference

Internal service to deal with limitations and limitation types. More...

## Public Member Functions
| __construct (array $settings=[])
| getLimitationType ($identifier)
| Returns the LimitationType registered with the given identifier. More...
| validateLimitations (array $limitations)
| Validates an array of Limitations. More...

## Protected Attributes
| $settings

## Detailed Description

Internal service to deal with limitations and limitation types.

Meant for internal use by Repository.

Definition at line 18 of file LimitationService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\Helper\LimitationService::__construct | ( | array | $settings = `[]` | ) |

Parameters

  array | $settings |

Definition at line 26 of file LimitationService.php.

References eZ\Publish\Core\Repository\Helper\LimitationService\$settings.

## Member Function Documentation

## ◆ getLimitationType()

eZ\Publish\Core\Repository\Helper\LimitationService::getLimitationType | ( |  | $identifier | ) |

Returns the LimitationType registered with the given identifier.

Returns the correct implementation of API Limitation value object based on provided identifier

Parameters

  string | $identifier |

Exceptions

Definition at line 44 of file LimitationService.php.

## ◆ validateLimitations()

eZ\Publish\Core\Repository\Helper\LimitationService::validateLimitations | ( | array | $limitations | ) |

Validates an array of Limitations.

@uses ::validateLimitation()

Parameters

  \eZ\Publish\API\Repository\Values\User\Limitation[] | $limitations |

Returns
  \eZ\Publish\Core\FieldType\ValidationError[][]

Definition at line 62 of file LimitationService.php.

## Member Data Documentation

## ◆ $settings

eZ\Publish\Core\Repository\Helper\LimitationService::$settings
| protected

Definition at line 21 of file LimitationService.php.

Referenced by eZ\Publish\Core\Repository\Helper\LimitationService\__construct().

The documentation for this class was generated from the following file:

- LimitationService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.